org.eclipse.gef4.dot

## Class DotImport

- java.lang.Object
- - org.eclipse.gef4.dot.DotImport

    public final class DotImport
    extends java.lang.Object

Transformation of DOT files or strings to Zest Graph instances.

### Field Summary

Fields
`static org.eclipse.gef4.layout.LayoutAlgorithm` `DEFAULT_LAYOUT_ALGORITHM`

### Constructor Summary

Constructors
Constructor and Description
`DotImport(java.io.File dotFile)`
`DotImport(java.lang.String dotString)`

### Method Summary

Methods
`DotAst` `getDotAst()`
`java.util.List<java.lang.String>` `getErrors()`
`java.lang.String` `getName()`
`void` `into(org.eclipse.gef4.graph.Graph.Builder graph)`
`org.eclipse.gef4.graph.Graph` `newGraphInstance()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_LAYOUT_ALGORITHM

    public static final org.eclipse.gef4.layout.LayoutAlgorithm DEFAULT_LAYOUT_ALGORITHM

### Constructor Detail

#### DotImport

    public DotImport(java.io.File dotFile)

Parameters:
  `dotFile` - The DOT file to import

#### DotImport

    public DotImport(java.lang.String dotString)

Parameters:
  `dotString` - The DOT graph to import

### Method Detail

#### getErrors

    public java.util.List<java.lang.String> getErrors()

Returns:
  The errors the parser reported when parsing the given DOT graph

#### getName

    public java.lang.String getName()

Returns:
  The name of the DOT graph

#### newGraphInstance

    public org.eclipse.gef4.graph.Graph newGraphInstance()

Returns:
  The Zest graph instantiated from the imported DOT

#### into

    public void into(org.eclipse.gef4.graph.Graph.Builder graph)

Parameters:
  `graph` - The graph to add the imported dot into

#### getDotAst

    public DotAst getDotAst()

Returns:
  The DOT AST parsed from the DOT source

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`